<h2 mat-dialog-title>Nuevo Movimiento</h2>

<mat-dialog-content>

    <div class="form">
        <mat-grid-list cols="1" rowHeight="80px">
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>Empleado</mat-label>
                    <mat-select (selectionChange)="changeEmpleado($event)">
                        <mat-option *ngFor="let empleado of empleados" [value]="empleado.idEmpleado">
                            {{ empleado.nombreCompleto }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </mat-grid-tile>
            
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>Número de Empleado</mat-label>
                    <input matInput  [(ngModel)]="numEmpleado" >
                </mat-form-field>
            </mat-grid-tile>     
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>Rol</mat-label>
                    <input matInput  [(ngModel)]="rol" >
                </mat-form-field>
            </mat-grid-tile>
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>MES</mat-label>
                    <input matInput [(ngModel)]="mes" >
                </mat-form-field>
            </mat-grid-tile>     
            <mat-grid-tile>
                <mat-form-field appearance="outline">
                    <mat-label>Número de Entregas</mat-label>
                    <input matInput type="number"  [(ngModel)]="numEntregas" >
                </mat-form-field>
            </mat-grid-tile> 
            
            
        </mat-grid-list>
      
    </div>
    <div>
        
        <!--<mat-radio-group name="roles" (change)="changeRol($event)">
            <mat-radio-button *ngFor="let rol of listaRoles"
                     [checked]="rol.checked" value="{{rol.idRol}}">{{rol.descripcion}}
           </mat-radio-button>
           <br>
         </mat-radio-group>-->
    </div>
    
</mat-dialog-content>

<mat-dialog-actions align="end">
    <button mat-raised-button mat-dialog-close color="warn">Volver</button>
    <button mat-raised-button color="primary" (click)="Guardar()">Guardar</button>
</mat-dialog-actions>
